=== doc/CMakeLists.txt ===

add_subdirectory( common )
add_subdirectory( kioslave )

if (NOT WIN32)
    add_subdirectory( checkXML )
    add_subdirectory( kbuildsycoca4 )
    add_subdirectory( kcookiejar4 )
    add_subdirectory( kdeinit4 )
    add_subdirectory( kdeoptions )
    add_subdirectory( makekdewidgets )
    add_subdirectory( meinproc4 )
    add_subdirectory( sonnet )
    add_subdirectory( qtoptions )
    add_subdirectory( kde4-config )
    add_subdirectory( kjs )
    add_subdirectory( kjscmd )
    add_subdirectory( kross )
    add_subdirectory( kded4 )
    add_subdirectory( kconfig_compiler )
    add_subdirectory( preparetips )
endif (NOT WIN32)
