=== security/CMakeLists.txt ===
if(OPENSSL_FOUND)
# add_subdirectory( crypto )
# add_subdirectory( kcert )
endif(OPENSSL_FOUND)
