=== doc/kjscmd/CMakeLists.txt ===
kde4_create_manpage(man-kjscmd.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
