=== doc/kross/CMakeLists.txt ===
kde4_create_manpage(man-kross.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
