=== debian/changelog ===
kde4libs (4:4.14.38-0ubuntu3) bionic; urgency=medium

  * Build against libssl1.0-dev, as otherwise autopkgtests fail.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 10 Feb 2018 21:16:08 +0000

kde4libs (4:4.14.38-0ubuntu2) bionic; urgency=medium

  * Drop kdelibs5-plugins depends on katepart as nothing uses this now

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Dec 2017 14:17:03 +0000

kde4libs (4:4.14.38-0ubuntu1) bionic; urgency=medium

  * New upstream release (4.14.38)
  * Refresh all patches
  * Drop upstream_fix_build_with_cmake_3.9.diff no longer required

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:29 +0000
